Package com.sun.speech.freetts

# Class InputMode

java.lang.Object
com.sun.speech.freetts.InputMode

public class InputMode extends Object
Specifies the input mode of FreeTTS.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final InputMode`
`FILE`
Indicates that the input is from a file.
`static final InputMode`
`INTERACTIVE`
Indicates that the input is from the keyboard.
`static final InputMode`
`LINES`
Indicates that the input is a set of lines in a file..
`static final InputMode`
`NONE`
Indicates that there is no input mode
`static final InputMode`
`TEXT`
Indicates that the input is from text.
`static final InputMode`
`URL`
Indicates that the input is from a URL.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NONE

public static final InputMode NONE
Indicates that there is no input mode

### FILE

public static final InputMode FILE
Indicates that the input is from a file.

### TEXT

public static final InputMode TEXT
Indicates that the input is from text.

### URL

public static final InputMode URL
Indicates that the input is from a URL.

### LINES

public static final InputMode LINES
Indicates that the input is a set of lines in a file..

### INTERACTIVE

public static final InputMode INTERACTIVE
Indicates that the input is from the keyboard.

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`